#define F_CPU 16000000
#include <avr/io.h>
#include <util/delay.h>
#include "usart.h"
char buff[8];
int main() {
	DDRB |= (1 << PB0);// fata stanga
	DDRB |= (1 << PB1); // spate stanga
	DDRB |= (1 << PB2);// fata dreapta
	DDRB |= (1 << PB3); //spate dreapta
	DDRB |= (1 << PB5); //spate dreapta
	DDRB |= (1 << PB6); //spate dreapta
	DDRD|= (1 << PD7);

	USART0_init();
	unsigned int semnal = 0;

	int c;
	while(1) {
		c = USART0_receive();
		buff[0] = c;
		buff[1] =  USART0_receive();
		buff[2] = USART0_receive();
		if (c == 0xFB)
		buff[4] = USART0_receive();
		PORTB &= ~(1 << PB0);
		PORTB &= ~(1 << PB1);
		PORTB &= ~(1 << PB2);
		PORTB &= ~(1 << PB3);
		PORTB &= ~(1 << PB6);
		PORTB &= ~(1 << PB5);
		if (buff[0] == 0xFB &&  buff[1] > 0x40 && buff[2] < 0x4A && buff[2] > 0x20) //sus
		{
			PORTB |= (1 << PB0);
			PORTB |= (1 << PB2);
		}
		else if (buff[0] == 0xFB &&  
		((buff[1] > 0x40 && buff[2] < 0x15 && buff[2] > 0x0) || 
		(buff[1] < 0x10 && buff[2] < 0x15 && buff[2] > 0x0))) //0 0f-0 sau 63 0 -12 stanga
		{
			PORTB |= (1 << PB0);
			semnal++;
				PORTB |= (1 << PB5);
		} else if (buff[0] == 0xFB &&  buff[1] < 0x10 && buff[2] < 0x4A && buff[2] > 0x20) //jos
		{
			PORTB |= (1 << PB1);
			PORTB |= (1 << PB3);
			PORTB |= (1 << PB5);
			PORTB |= (1 << PB6);
		}
		else if (buff[0] == 0xFB &&
		((buff[1] > 0x40 && buff[2] < 0x63 && buff[2] > 0x50) ||
		(buff[1] < 0x20 && buff[2] < 0x63 && buff[2] > 0x50))) //63 53 -  63 sau 00 63 - 55 dreapta
		{
			PORTB |= (1 << PB2);
			semnal++;
				PORTB |= (1 << PB6);
		}
		else if (buff[0] == 0xFC &&  buff[1] == 9) // sus
		{
			PORTD ^= (1 << PD7);
			
		}
		else if (buff[0] == 0xFB && buff[1] == 0x31)
		{
			PORTB = 0;
		}
	//	USART0_transmit(80);
	}
	return 0;
}